using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace HRLibrary
{
    public class Employee
    {
        private string id;
        private string name;
        private int level ;
        private static int baseSalary = 20000;

        public Employee(string id, string name, int level)
        {
            this.id = id;
            this.name = name;
            this.level = level;
        }

        public Employee()
            : this("未设置", "未设置",0)
        {
            //this.id = "未设置";
            //this.name = "未设置";
        }

        public string Id
        {
            get
            {
                return this.id;
            }
        }

        public string Name
        {
            get
            {
                return this.name;
            }
            set
            {
                this.name = value;
            }
        }

        public int Level
        {
            get
            {
                return this.Level;
            }
            set
            {
                this.level = value;
            }
        }

        public static int BaseSalary
        {
            get
            {
                return baseSalary;
            }
            set
            {
                baseSalary = value;
            }

        }

        public override string ToString()
        {
            return "编号：" + id + ", 姓名：" + name + ", 职位等级："
            + level + ", 底薪" + baseSalary + "." ;
        }

        public int ComputeSalary()
        {
            return baseSalary + (5000 * level);
        }

        public string Print()
        {
            return "编号：" + id + ", 姓名：" + name + ", 职位等级："
                + level + ", 薪资：" + this.ComputeSalary() + ".";

        }

        public int ComputeSalary(int bonus)
        {
            return ComputeSalary() + bonus;
        }

        public static string PrintBaseSalary()
        {
            return "员工基本薪资为" + baseSalary;
        }
    }
}
